package coreproxy

type Settings struct {
	Ip            string
	Port          int
	ReqIntercept  bool
	RespIntercept bool
}

var caCert = []byte(`-----BEGIN CERTIFICATE-----
MIIE1jCCAr4CCQDe1xLXEbyjqTANBgkqhkiG9w0BAQsFADAtMQswCQYDVQQGEwJV
UzEOMAwGA1UECgwFQnJveHkxDjAMBgNVBAMMBWJyb3h5MB4XDTIwMDEwMzE0Mzk1
M1oXDTI5MTIzMTE0Mzk1M1owLTELMAkGA1UEBhMCVVMxDjAMBgNVBAoMBUJyb3h5
MQ4wDAYDVQQDDAVicm94eTCCAiIwDQYJKoZIhvcNAQEBBQADggIPADCCAgoCggIB
ALUL6HSG3uoDKNP73T+5hdJsIcZRAA4EiBRmRkaiVQvBNKGl70Yz/oG+yONd0QEJ
v+ZhRGvF/FUNZz92+fjYLw138jEIfCKVYBrMHzTrcyEprAtdJWFeR9Hz71kBXWyo
GMuIjIE4ePKzVy91TZ9MKJJer2pLIDWgV57+FvWZ8/CvbUW+94S90GiFtvwD/LyG
IJ68lO5kKkEt18xwkZ7gSJqh4qWLwcezbr1DIP0S10CJtHIWe/MW3Xw70LBDpqGn
wkSwUioPo9uYxbQsXd2xxTbAmJL8T5o3Xj2zhtobkidFuY0j/nxhvfnFHr++OSXL
hcuV8Zttv6JX4RFNtKVZIlB6u37H5+hY9Xck6yrYBBekdRI6p4ztHjbBzPMNS7Yh
VvaeVuBB6cQz8Mz7zj4DICQRtySFT8NFKvB6sjt2BT2NNHS90bUJL1U07BZvtM96
NlUYc70S248a9QzRAHmfHyWKGW8gyUP9044JrbhmTHgp4UN/khZY17LoxthAauHX
haMKjTbMsblS454Rcmp2GwXzlBp8EwQKqAkQduaaW3N4uI1DNrLUTXRygCq0JzCc
HApJiAdNiGoIcpw/XKLSv+bpRsD3A4qXAOLyyjWcrIYDdYTya9efMt17pIsQUOb7
gS3YXFRBe9XnTzfLyRFQsQ2y10ec4dvRYubTuYQoq6rjAgMBAAEwDQYJKoZIhvcN
AQELBQADggIBAFq1srh7YxfB/f9auE63i2u3eDcfi7r0mBABeWP4srArR8ZjBxdR
kH12IaeNZm4vlplchtR7QoRecuZER69JDv8W71WQkwuEXQ3AZqC8JQplwlhbT5ph
J1kHS4VeGXq16SvltzpIrUmwJtsqb4AitSoGNOXCd539WQuB0ocn9sdhPblZ83NH
dAOvcRwvvthFpBZmpFt12zjEoNhpmY8jvvQ7kUSDxAFHJRcC1N6YRm7sdqhXHi80
X5c9uu1syKCoLHPbbG97NvOCzx8MWPk/K0gDC6RvkRdZVJqrjtovXNw93WpaWGBK
kDpcZI7/b/ZSE3vETumYYdk9WRUu6gvgTdEWUrQLHO2p1h060sBxkd4euzOh3eif
MQuQtDzWCiOguFD36pTy1Uv1BUPMsngJAgIk8Brm809GiZAOnkEb4Xe1HkunHgX+
S3SVs+gMW2UzHIbfVsLv5e2e8FYBUhKFwffdoDPfo9/21x6v2qcmqoma1MzIV/hM
GpzaxcydaRn0PqXwi9BFYNU2iNSCwbkBK1XnkCy6o61W/Gkq/aKknxc0WjRqB+sy
NIUjLWYxxjJr0CRXng5uikiZjEXPR3BVMMw0JlSXyyX7Z1VYmxwT3X/8RQmJJ4iB
BgIhX55cMWPcuA32sx2D1XEXJ3SPdng8rwW56iMrDblut/N3OF96znz/
-----END CERTIFICATE-----`)

var caKey = []byte(`-----BEGIN PRIVATE KEY-----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-----END PRIVATE KEY-----`)
